Re: [Rd] R 2.6.0 make check fails on SGI origin 350 and

From: kamil Marcinkowski <kamil_at_ualberta.ca>
Date: Fri, 9 Nov 2007 11:20:22 -0700

Hello list

Thank you for your help with the d-p-q-r-tests on Irix.

After patching d-p-q-r-tests.R, and d-p-q-r-tests.Rout.save file to reflect the
change, d-p-q-r tests succeed but make check still fails:

> comparing 'complex.Rout' to './complex.Rout.save' ...188c188
> < [1] 0+0i
> ---
> > [1] 1.6789e-308+0i
> OK
> running code in 'print-tests.R' ... OK
> comparing 'print-tests.Rout' to './print-tests.Rout.save' ...256c256
> < [1] 9
> ---
> > [1] 11
> 260c260
> < [1] 0.000000e+00 2.225074e-308 2.225074e-308 2.227299e-308
> 2.447581e-308
> ---
> > [1] 2.002566e-308 2.222849e-308 2.225074e-308 2.225074e-308
> 2.225074e-308 2.227299e-308 2.447581e-308
> 266c266
> < [1] 0.000000e+00 0.000000e+00 0.000000e+00 2.447581e-308
> 1.566452e-306 1.253162e-305
> ---
> > [1] 2.002566e-308 2.447581e-308 1.281643e-306 1.566452e-306
> 1.025314e-305 1.253162e-305
> 269,273c269,273
> < [1,] 0e+00 0e+00 0.0e+00 0.00e+00 0.000e+00 0.0000e+00
> 0.00000e+00
> < [2,] 0e+00 0e+00 0.0e+00 0.00e+00 0.000e+00 0.0000e+00
> 0.00000e+00
> < [3,] 0e+00 0e+00 0.0e+00 0.00e+00 0.000e+00 0.0000e+00
> 0.00000e+00
> < [4,] 0e+00 0e+00 2.4e-308 2.45e-308 2.448e-308 2.4476e-308
> 2.44758e-308
> < [5,] 2e-306 2e-306 1.6e-306 1.57e-306 1.566e-306 1.5665e-306
> 1.56645e-306
> ---
> > [1,] 2e-308 2e-308 2.0e-308 2.00e-308 2.003e-308 2.0026e-308
> 2.00257e-308
> > [2,] 2e-308 2e-308 2.4e-308 2.45e-308 2.448e-308 2.4476e-308
> 2.44758e-308
> > [3,] 1e-306 1e-306 1.3e-306 1.28e-306 1.282e-306 1.2816e-306
> 1.28164e-306
> > [4,] 2e-306 2e-306 1.6e-306 1.57e-306 1.566e-306 1.5665e-306
> 1.56645e-306
> > [5,] 1e-305 1e-305 1.0e-305 1.03e-305 1.025e-305 1.0253e-305
> 1.02531e-305
> 355c355
> < 4.141593+ 1i 4.341593+ 10i NaN+NaNi Inf+ 0i -Inf
> +NaNi NaN+Infi
> ---
> > 4.141593+ 1i 4.341593+ 10i NA Inf+ 0i -Inf
> +NaNi NaN+Infi
> 358c358
> < [1,] 4.141593+ 1i NaN+NaNi -Inf+NaNi
> ---
> > [1,] 4.141593+ 1i NA -Inf+NaNi
> 364c364
> < [3,] NaN+ NaNi NaN+ Infi
> ---
> > [3,] NA NaN+ Infi
> OK
> running code in 'datasets.R' ... OK
> comparing 'datasets.Rout' to './datasets.Rout.save' ... OK
> running code in 'lapack.R' ... OK
> comparing 'lapack.Rout' to './lapack.Rout.save' ... OK
> gmake[3]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/tests'
> gmake[2]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/tests'
> gmake[2]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/tests'
> running regression tests
> gmake[3]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/tests'
> running code in 'reg-tests-1.R' ...gmake[3]: *** [reg-tests-1.Rout]
> Error 1
> gmake[3]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/tests'
> gmake[2]: *** [test-Reg] Error 2
> gmake[2]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/tests'
> gmake[1]: *** [test-all-basics] Error 1
> gmake[1]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/tests'
> gmake: *** [check] Error 2
>

Also since we are using perl 5.6 on the system; the documentation system did not build.

> root_at_nexus:104# perl -v
> This is perl, v5.6.1 built for irix-n32

configure output:
> checking for perl... /usr/sbin/perl
> checking whether perl version is at least 5.8.0... Perl v5.8.0
> required--this is only v5.6.1, stopped at -e line 1.
> no
> configure: WARNING: you cannot build the object documentation system

The following errors occurred during gmake check:

> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/base/R-ex cannot be opened at ../../share/perl/
> massage-Examples.pl line 129.
> running code in 'base-Ex.R' ... OK
> collecting examples for package 'tools' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/tools/R-ex cannot be opened at ../../share/perl/
> massage-Examples.pl line 129.
> running code in 'tools-Ex.R' ... OK
> collecting examples for package 'utils' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/utils/R-ex cannot be opened at ../../share/perl/
> massage-Examples.pl line 129.
> running code in 'utils-Ex.R' ... OK
> collecting examples for package 'grDevices' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/grDevices/R-ex cannot be opened at ../../share/
> perl/massage-Examples.pl line 129.
> running code in 'grDevices-Ex.R' ... OK
> collecting examples for package 'graphics' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/graphics/R-ex cannot be opened at ../../share/
> perl/massage-Examples.pl line 129.
> running code in 'graphics-Ex.R' ... OK
> collecting examples for package 'stats' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/stats/R-ex cannot be opened at ../../share/perl/
> massage-Examples.pl line 129.
> running code in 'stats-Ex.R' ... OK
> collecting examples for package 'datasets' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/datasets/R-ex cannot be opened at ../../share/
> perl/massage-Examples.pl line 129.
> running code in 'datasets-Ex.R' ... OK
> collecting examples for package 'methods' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/methods/R-ex cannot be opened at ../../share/perl/
> massage-Examples.pl line 129.
> running code in 'methods-Ex.R' ... OK
> collecting examples for package 'grid' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/grid/R-ex cannot be opened at ../../share/perl/
> massage-Examples.pl line 129.
> running code in 'grid-Ex.R' ... OK
> collecting examples for package 'splines' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/splines/R-ex cannot be opened at ../../share/perl/
> massage-Examples.pl line 129.
> running code in 'splines-Ex.R' ... OK
> collecting examples for package 'stats4' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1
> gmake[5]: Leaving directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> file ../../library/stats4/R-ex cannot be opened at ../../share/perl/
> massage-Examples.pl line 129.
> running code in 'stats4-Ex.R' ... OK
> collecting examples for package 'tcltk' ...
> gmake[5]: Entering directory `/usr/global/R-build/R-2.6.0-
> patched-11-08-07/src/library'
> you need Perl version 5 to build the R object docs
> gmake[5]: *** [Rdfiles] Error 1

I figure these errors are just the inability to create documentation, but mention them in case they may be relevant or important.

Thanks,

Kamil

Kamil Marcinkowski                   Westgrid System Administrator
kamil_at_ualberta.ca                     University of Alberta site
  Tel.780 492-0354                     Research Computing Support
Fax.780 492-1729                     Academic ICT
Edmonton, Alberta, CANADA University of Alberta

"This communication is intended for the use of the recip...{{dropped:17}}



R-devel_at_r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Fri 09 Nov 2007 - 18:32:30 GMT

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.2.0, at Tue 13 Nov 2007 - 23:30:18 GMT.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-devel. Please read the posting guide before posting to the list.